 <!-- begin asociace.php -->


 
<?php
if ($_GET['a']=="pridat") 
  {
     $nadpis="Vytvořit novou asociaci";
     if ($_POST['odeslano']=="ano") 
       {
        $dotaz=mysql_query("UPDATE devices SET sensor=".$_POST['sensor']." WHERE id=".$_POST['device']);
        if ($dotaz) {$zprava="<br/><div style='font-weight:bold;'>Asociace byla úspěšně vytvořena.</div><br/>";} else {$zprava="<br/><div style='color:red;font-weight:bold;'>Chyba při vytváření asociace!</div><br/>";};
      
        $dotaz=mysql_query("SELECT id,sensor,data,time FROM temp WHERE sensor=".$_POST['sensor'].";");
        for ($i=0;$i<mysql_num_rows($dotaz);$i++) 
        {$temp=mysql_fetch_row($dotaz);   
         $dotaz2=mysql_query("INSERT INTO data (`id`,`device`,`data`,`time`) VALUES (NULL,'".$_POST['device']."','".$temp[2]."','".$temp[3]."');");
        }
        $dotaz3=mysql_query("DELETE FROM temp WHERE sensor=".$_POST['sensor'].";");
        if ($dotaz) {$zprava.="<br/><div style='font-weight:bold;'>Přijatá data byla asociována se spotřebičem.</div><br/>";} 
        
        if ($_GET['x']=="ajax")
        {
          header("Location: prehled.php?p=aktual");
        }
       }
     
     $dotaz=mysql_query("SELECT id,mac FROM sensors WHERE id NOT IN (SELECT sensor FROM devices) AND active='1';");
     $seznams='<select name="sensor">';
     if (mysql_num_rows($dotaz)<1) {$nepridavat=true;} 
     for ($i=0;$i<mysql_num_rows($dotaz);$i++) 
      {$sens=mysql_fetch_row($dotaz); 
       if ($_GET['sens']==$sens[0]) {$vybrano="selected";} else {$vybrano="";}
       $seznams.='<option value="'.$sens[0].'" '.$vybrano.'>0x'.$sens[1].'</option>'; 
      };
     $seznams.='</select>';
    
     $dotaz1=mysql_query("SELECT devices.id,devices.name,devices.type,icons.picture,devices.person,devices.room FROM devices,icons WHERE icons.id=devices.icon AND devices.sensor=0;");
     $seznamz='<select name="device" id="dev">';
     for ($i=0;$i<mysql_num_rows($dotaz1);$i++) 
      {$dev=mysql_fetch_row($dotaz1); 
       if ($_GET['dev']==$dev[0]) {$vybrano="selected";} else {$vybrano="";}
       $seznamz.='<option value="'.$dev[0].'" title="'.$dev[3].'" '.$vybrano.'>'.$dev[1].' ('.$dev[5].', '.$dev[4].')</option>';  
      };
     $seznamz.='</select>';
     
     
     if ((mysql_num_rows($dotaz1)<1) || (mysql_num_rows($dotaz)<1)) {$nepridavat=true;}
     
     if ($nepridavat) {   //<input type="submit" value="Uložit" disabled>
     $tlacitko='
     <span style="color:red;font-weight:bold;">Nebyl nalezen žádný neasociovaný snímač!</span>
     ';
     
     }
     else {
     $tlacitko='<input type="submit" value="Uložit">';
     
    
     $obsah.='
     
     <form action="#" method="POST">
     <table>
     <tr><td style="text-align:right;font-weight:bold;">MAC snímače:</td><td><img src="icon/thumbnails/null.png" alt="" style="vertical-align:middle;width:18px;height:18px;"/>'.$seznams.'</td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Spotřebič:</td><td><img src="icon/thumbnails/null.png" alt="" style="vertical-align:middle;width:18px;height:18px;" id="thumb"/>'.$seznamz.'</td></tr>
     </table>
     <br/>
     ';
     
     };
     
     $obsah.='
     <input type="hidden" name="odeslano" value="ano">
     '.$zprava.'
     '.$tlacitko.'
     </form>
     
     ';
     
     
  }
elseif  ($_GET['a']=="seznam") 
  {
     if  ($_GET['d']=="delete")
      {  $dotaz=mysql_query("UPDATE devices SET sensor=0 WHERE id = ".$_GET['id']);
         if ($dotaz) {$zprava="<br/>Asociace úspěšně zrušena.";} else {$zprava="<br/>Chyba při rušení asociace!";}
      
      }
      
     
     $dotaz=mysql_query("SELECT t.id,t.name,t.type,t.mac,icons.picture,t.lastseen,t.person,t.building,t.room FROM (SELECT devices.id,devices.name,devices.type,sensors.mac,devices.icon,sensors.lastseen,devices.person,devices.building,devices.room FROM devices JOIN sensors ON sensors.id = devices.sensor AND sensors.id>0) t JOIN icons WHERE t.icon = icons.id");
     for ($i=0;$i<mysql_num_rows($dotaz);$i++) {
     $device=mysql_fetch_row($dotaz); 
     $seznam.='<tr class="barvi">
     <td class="imag"><img src="icon/'.$device[4].'" width="32" height="32"></td>
     <td><a href="detail.php?id='.$device[0].'"><strong>'.$device[1].'</strong></a></td><td><strong>0x'.$device[3].'</strong></td><td>'.$device[2].'</td>
     <td><a href="prehled.php?p=osoba&o='.htmlspecialchars($device[6]).'">'.$device[6].'</a></td>
     <td><a href="prehled.php?p=mistnost&m='.htmlspecialchars($device[8]).'">'.$device[8].'</a></td>
     <td>'.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $device[5]).'</td>
     <td style="text-align:center;"><a href="detail.php?id='.$device[0].'" onclick="mapa(event,'.$device[0].')"><img src="maps/crosshair_big.png" alt="Mapa" style="vertical-align:middle;"/></a></td>
     <td style="text-align:center;"><a href="asociace.php?a=seznam&d=delete&id='.$device[0].'"><img src="images/zrusit.png" alt="Smazat" style="vertical-align:middle;"/></a></td></tr>';
     };
     //<td style="text-align:center;"><a href="asociace.php?a=seznam&e=edit&id='.$device[0].'"><img src="images/upravit.png" alt="Upravit" style="vertical-align:middle;"/></a></td>
     
     $nadpis="Seznam asociovaných spotřebičů";
     $obsah='
     <table style="width:100%;">
     <tr><td></td><td>Jméno</td><td>MAC snímače</td><td>Popis</td><td>Zodp.osoba</td><td>Místnost</td><td>Poslední aktualizace</td><td></td><td></td></tr>
     '.$seznam.'
     </table>
     '.$zprava.'
     ';
       
  }

else 
  {  $nadpis="Seznam asociací";
     
     $asociovane=mysql_query("SELECT devices.id,devices.name,sensors.active FROM devices,sensors WHERE devices.id=sensors.id ORDER BY devices.id");
     $pocetas=mysql_num_rows($asociovane);
    
     if ($pocetas<1) {
     $obsah='
             Nebyl nalezen žádný spotřebič asociovaný se snímačem.<br/><br/> 
             <a href="zarizeni.php?a=pridat">Přidat nový spotřebič</a>  
            ';
     } else
     {
      header("Location: asociace.php?a=seznam");
     }
     
  };
?>

          
            <div class="post">				
              <h2 class="title">
                <a href="#"><?php echo $nadpis; ?></a>
              </h2>				
              
              <div class="entry">		
                <?php echo $obsah; ?>     
              </div>			
            </div>
            
            
             
<script type="text/javascript">

 $(document).ready(function() {
   var mapa=$("#bld option:selected").attr("title")+"_"+$("#flr").val(); 
 	 $("#map").attr("src","maps/"+mapa+".png");




  var ikona=$("#dev option:selected").attr("title"); 
 	 $("#thumb").attr("src","icon/thumbnails/"+ikona);
 	 
 $("#dev").change(function() {
   var ikona=$("#dev option:selected").attr("title"); 
 	 $("#thumb").attr("src","icon/thumbnails/"+ikona);
});





$('#map').click(function(e) {
    var offset = $(this).offset();
    var scrtop = $(window).scrollTop();
    var scrleft =$(window).scrollLeft();
    $("#loc_x").attr("value",e.clientX - offset.left + scrleft);
    $("#loc_y").attr("value",e.clientY - offset.top + scrtop);
    $("#cross").css({"top": e.clientY + scrtop - 7, "left": e.clientX + scrleft - 7});
  });

       
});


function hide(){  
   $("#shade").remove();
   $("#window").remove();
  }
  
function mapa(e,id)
 {
    e.preventDefault();
    
    var zobraz = 1;
 
    if (zobraz==1)
    { 
    
    
    var okno="<div id=\"shade\" style=\"position:absolute; left:0px; top:0px; width:100%; height:100%; background-image:url('images/shade.png'); background-repeat:repeat;\"></div>          \
                     <div id=\"window\" style=\"position:absolute; left:100px; top:300px; background-color:#FFFFFF;\">                                                                    \
                     <div id=\"bar\" style=\"position:relative; left:5px; top:5px; width:465px; height:16px; background-color:#DDDDDD;>\">Mapa</div>                                                   \
                     <div id=\"exit\" style=\"position:relative; left:474px; top:-11px; width:16px; height:16px; background-color:#FF0000; color:#FFFFFF; font-weight:bold; text-align:center; \"><a href=\"#\" onclick=\"hide()\" style=\"color:white;\">X</a></div>        ";
                 
 
    
    $.ajax({
      url: "include/popup_mapa.php",
      type: "GET",
      data: "id="+id,
      cache: false,
      async: false
     }).done(function(data) {
          okno=okno+data;
     });
                   
    okno=okno+"</div>";
    
     $(".post").before(okno);
    
    $('#map').load(function() {        
    
       var sirka=$(document).width();
       var sirka_okna=$("#window").width();
       $("#window").css({"left": (sirka/2)-(sirka_okna/2)});
    
     
       var vyska=$(document).height();
       var vyska_okna=$("#window").height();
       $("#window").css({"top": (vyska/2)-(vyska_okna/2)}); 
    });
    
       
       

    }   
    return false;
 }


</script>
            
 <!-- end asociace.php -->